/***************************************************************************
 *   Copyright (C) 2011-2014 by Flukz Team                                 *
 *   Contact : see our web site http://flukz.org/                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef PARAMETER_H
#define PARAMETER_H

#include <QString>

//this class is used for communication with ParameterWidget

class Parameter {
  public:
	//list of supported types
	enum ParameterType { BoolType=0, IntType=1, QrealType=2, StringType=3 };
	
	//constant for isEditable variable
	static bool ReadOnly;
	
	Parameter();
	Parameter(ParameterType parameterType0, QString name0, QString toolTip0, bool isEditable0=true);
	
	ParameterType parameterType;
	QString name;
	QString toolTip;
	bool isEditable;
};

#endif
