/***************************************************************************
 *   Copyright (C) 2011-2014 by Flukz Team                                 *
 *   Contact : see our web site http://flukz.org/                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

 
#ifndef GLOBAL_H
#define GLOBAL_H

#include <QtGlobal>

#include <iostream>
#include <sstream>

//global parameters
class Global {
  public:
	//size of the game view (in play mode)
	static qreal gameViewX; //x
	static qreal gameViewY; //y
	static qreal gameViewW; //width
	static qreal gameViewH; //height
	
	//start and end values of the complete scene (in edit mode)
	static qreal sceneXStart;
	static qreal sceneXEnd;
	static qreal sceneYStart;
	static qreal sceneYEnd;
	
	static const int InitialWidth = 700;
	static const int InitialHeight = 650;
	static const int BrowserMinimumWidth = 700;
	static const int BrowserMinimumHeight = 225;
	static const int EditMinimumWidth = 700;
	static const int EditMinimumHeight = 225;
};

#endif
